Package com.xebialabs.xlrelease.api.v1.forms

# Class FacetFilters

java.lang.Object
com.xebialabs.xlrelease.api.v1.forms.FacetFilters

public class FacetFilters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetFilters()`
  `FacetFilters(String parentId, String targetId, List<Type> types)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParentId()`
  `String`
  `getTargetId()`
  `List<Type>`
  `getTypes()`
  `boolean`
  `hasParentId()`
  `boolean`
  `hasTargetId()`
  `FacetFilters`
  `includingType(String type)`
  `void`
  `setParentId(String parentId)`
  `void`
  `setTargetId(String targetId)`
  `void`
  `setTypes(List<Type> types)`
  `void`
  `validate()`
  `FacetFilters`
  `withParentId(String parentId)`
  `FacetFilters`
  `withTargetId(String targetId)`
  `FacetFilters`
  `withType(Type... types)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetFilters

    public FacetFilters()

  - ### FacetFilters

    public FacetFilters(String parentId, String targetId, List<Type> types)

- ## Method Details

  - ### validate

    public void validate()

  - ### hasParentId

    public boolean hasParentId()

  - ### hasTargetId

    public boolean hasTargetId()

  - ### withParentId

    public FacetFilters withParentId(String parentId)

  - ### withTargetId

    public FacetFilters withTargetId(String targetId)

  - ### withType

    public FacetFilters withType(Type... types)

  - ### includingType

    public FacetFilters includingType(String type)

  - ### getParentId

    public String getParentId()

  - ### setParentId

    public void setParentId(String parentId)

  - ### getTargetId

    public String getTargetId()

  - ### setTargetId

    public void setTargetId(String targetId)

  - ### getTypes

    public List<Type> getTypes()

  - ### setTypes

    public void setTypes(List<Type> types)